# This Makefile.PL for Mojolicious-Plugin-Geolocation-MMDB was generated by
# Dist::Zilla::Plugin::MakeMaker::Awesome 0.49.
# Don't edit it but the dist.ini and plugins used to construct it.

use strict;
use warnings;

use 5.016;
use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Look up location information by IP address",
  "AUTHOR" => "Andreas V\x{f6}gele <voegelas\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Mojolicious-Plugin-Geolocation-MMDB",
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.016",
  "NAME" => "Mojolicious::Plugin::Geolocation::MMDB",
  "PREREQ_PM" => {
    "Carp" => 0,
    "IP::Geolocation::MMDB" => 0,
    "Mojo::Base" => 0,
    "Mojolicious::Plugin" => 0
  },
  "TEST_REQUIRES" => {
    "Mojo::File" => 0,
    "Mojolicious::Lite" => 0,
    "Test::Mojo" => 0,
    "Test::More" => 0
  },
  "VERSION" => "0.004",
  "test" => {
    "TESTS" => "t/*.t"
  }
);

my %FallbackPrereqs = (
  "Carp" => 0,
  "IP::Geolocation::MMDB" => 0,
  "Mojo::Base" => 0,
  "Mojo::File" => 0,
  "Mojolicious::Lite" => 0,
  "Mojolicious::Plugin" => 0,
  "Test::Mojo" => 0,
  "Test::More" => 0
);

unless ( eval { ExtUtils::MakeMaker->VERSION('6.63_03') } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);